Package org.apache.ignite.internal.management.api

## Interface BeforeNodeStartCommand<A extends IgniteDataTransferObject,​R>

All Superinterfaces:
  `Command<A,​R>`

All Known Implementing Classes:
  `WarmUpStopCommand`

    public interface BeforeNodeStartCommand<A extends IgniteDataTransferObject,​R>
    extends Command<A,​R>

Command that must be executed directly using `GridClientBeforeNodeStart` instance.

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Method Summary

All Methods Instance Methods Abstract Methods
`R` `execute​(GridClientNodeStateBeforeStart beforeStart, A arg, Consumer<String> printer)`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`argClass, confirmationPrompt, deprecationMessage, description`

### Method Detail

#### execute

    R execute​(GridClientNodeStateBeforeStart beforeStart,
              A arg,
              Consumer<String> printer)
       throws Exception

Parameters:
  `beforeStart` - `GridClientBeforeNodeStart` client instance.
  `arg` - Command argument.
  `printer` - Results printer.
Returns:
  Command result.
Throws:
  `Exception`